Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.navi
Interface PlaceMembersOnAxes

All Superinterfaces:
  Extension, PlaceHierarchiesOnAxes

All Known Implementing Classes:
  MondrianPlaceMembers, TestPlaceMembersOnAxes, XMLA_PlaceMembers

    public interface PlaceMembersOnAxes

extends PlaceHierarchiesOnAxes

allows to place a set of members on a visible query axis.

Author:
  av

Field Summary
`static java.lang.String` | `ID` name of the Extension for lookup

Method Summary
`java.lang.Object` | `createMemberExpression(java.util.List members)` creates an expression that selects `members`.
`java.util.List` | `findVisibleMembers(Hierarchy hier)` collects all members from the visible axes in the result.

Methods inherited from interface com.tonbeller.jpivot.olap.navi.PlaceHierarchiesOnAxes
`createMemberExpression, getExpandAllMember, setExpandAllMember, setQueryAxis`

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Field Detail

### ID

    static final java.lang.String ID

  name of the Extension for lookup

  See Also:
    Constant Field Values

Method Detail

### createMemberExpression

    java.lang.Object createMemberExpression(java.util.List members)

  creates an expression that selects `members`. In MDX this would be an enumeration of the members within `{ ... }`

  If a memberExpression returned by this method is placed on an axis, sorting should be disabled. If sorting was not disabled, the explicit order or the members would not be visible to the user.

  Parameters:
    `members` - a List of Members
  Returns:
    a member expression that can be used with super.setAxis
  See Also:
    `PlaceHierarchiesOnAxes.setQueryAxis(com.tonbeller.jpivot.olap.model.Axis, java.lang.Object[])`, `Member`

### findVisibleMembers

    java.util.List findVisibleMembers(Hierarchy hier)

  collects all members from the visible axes in the result. If no members of the hierarchy are on a visible axis, returns an empty list.

  Parameters:
    `hier` - the Hierarchy
  Returns:
    A list of Members
  See Also:
    `Member`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD